# Fetching a single Resource Requests

This endpoint returns structured Resource Requests objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the resource_requests top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /resource_requests/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- approvers (User) - The users available to approver or reject the resource request.
- creator (User) - The person submitting the resource request.
- resource (WorkspaceResource) - The resource the request is intending to assign a user to.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `resource_requests` (object)

  - `workspace_resources` (object)

  - `users` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


